inst. xntp5.91 (rpm) Err- /bin/sh failed

inst. xntp5.91 (rpm) Err- /bin/sh failed

Post by Meng » Mon, 23 Mar 1998 04:00:00



I run Redhat v 4.3 (linux v 2.0.30 #1).
Download the .rpm xntp package from ftp.redhat.com.
Error during the "rpm" command executation:
#  rpm -ivh xntp3-5_91_export-1_i386.rpm
  failed dependencies:
        /bin/sh is needed by xntp3-5.91_export-1

But my /bin/sh is in the system and run fine .

Can someone help ?

Thanks

Meng

 
 
 

inst. xntp5.91 (rpm) Err- /bin/sh failed

Post by Meng » Mon, 23 Mar 1998 04:00:00


I run Redhat v 4.3 (linux v 2.0.30 #1).
Download the .rpm xntp package from ftp.redhat.com.
Error during the "rpm" command executation:
#  rpm -ivh xntp3-5_91_export-1_i386.rpm
  failed dependencies:
        /bin/sh is needed by xntp3-5.91_export-1

But my /bin/sh is in the system and run fine .

Can someone help ?

Thanks

Meng


 
 
 

inst. xntp5.91 (rpm) Err- /bin/sh failed

Post by Meng » Mon, 23 Mar 1998 04:00:00


I run Redhat v 4.3 (linux v 2.0.30 #1).
Download the .rpm xntp package from ftp.redhat.com.
Error during the "rpm" command executation:
#  rpm -ivh xntp3-5_91_export-1_i386.rpm
  failed dependencies:
        /bin/sh is needed by xntp3-5.91_export-1

But my /bin/sh is in the system and run fine .

Can someone help ?

Thanks

Meng

 
 
 

inst. xntp5.91 (rpm) Err- /bin/sh failed

Post by Meng » Mon, 23 Mar 1998 04:00:00


I run Redhat v 4.3 (linux v 2.0.30 #1).
Download the .rpm xntp package from ftp.redhat.com.
Error during the "rpm" command executation:
#  rpm -ivh xntp3-5_91_export-1_i386.rpm
  failed dependencies:
        /bin/sh is needed by xntp3-5.91_export-1

But my /bin/sh is in the system and run fine .

Can someone help ?

Thanks

Meng

 
 
 

inst. xntp5.91 (rpm) Err- /bin/sh failed

Post by Meng » Mon, 23 Mar 1998 04:00:00


I run Redhat v 4.3 (linux v 2.0.30 #1).
Download the .rpm xntp package from ftp.redhat.com.
Error during the "rpm" command executation:
#  rpm -ivh xntp3-5_91_export-1_i386.rpm
  failed dependencies:
        /bin/sh is needed by xntp3-5.91_export-1

But my /bin/sh is in the system and run fine .

Can someone help ?

Thanks

Meng

 
 
 

inst. xntp5.91 (rpm) Err- /bin/sh failed

Post by Roy Stogn » Sat, 28 Mar 1998 04:00:00



>#  rpm -ivh xntp3-5_91_export-1_i386.rpm
>  failed dependencies:
>        /bin/sh is needed by xntp3-5.91_export-1

This was a bug in an older version of "rpm" itself, IIRC.  Get the
latest version from www.rpm.org and see if that fixes things.
---
Roy Stogner
 
 
 

inst. xntp5.91 (rpm) Err- /bin/sh failed

Post by Sam Trenhol » Fri, 03 Apr 1998 04:00:00


Quote:>#  rpm -ivh xntp3-5_91_export-1_i386.rpm
>  failed dependencies:
>        /bin/sh is needed by xntp3-5.91_export-1

rpm -ivh xntp3-5_91_export-1_i386.rpm --nodeps

Will install it.  This is how I installed it on my system.

--
Unique Linux information: http://linux-rules.samiam.org/linux/linux_links.html
  I reserve the right to make public any mail I receive in response to this

 
 
 

1. Sytem call "open()" is interruptted with ERR#91, ERESTART.

I have a problem in the Sparc Solaris 8. The application simply opens a
file (disk file on the UFS) and failed with "Err#91, ERESTART".

9143: open("/export/home/user1/data1.dat", O_RDONLY) Err#91 ERESTART

The above comes from the truss log.

Here are my questions;

1.Is there any possibility to get the error #91 when the process trys
to open the UFS file?
2.What is the next action to be executed from the application perspective?
Can I retry to open the same file?
3.If the retry to open is necessary, can I continue opening the same file
many times? Or the retry should be limited to two or three times to
avoid the loop situation?

Thanks in advance,
Naoyuki Karasawa

2. upgrading to glibc-2.1 from glibc-2.0

3. Creating some identical files/dir's in all users dir's

4. #!/bin/sh #!/usr/bin/sh can I do both for 2 diff machines

5. Problem compiling C with Linux

6. more secure?: "#!/bin/sh -" or "#!/bin/sh"

7. question about tcp_syncookies in 2.4.x kernel

8. RPM wants /bin/sh

9. RPM package needs "/bin/sh"

10. KDE : /bin/sh dependency failed

11. failed cd in /bin/sh : FreeBSD 2.2.5, 2.2.6 is different

12. amiga-1.2.1 install fails: /bin/sh terminated